REPO(1)

NAME
Repo - Example of using QuantLib

SYNOPSIS
Repo

DESCRIPTION

Repo is an example of using the QuantLib interest-rate model framework.

Repo values a fixed-coupon bond repurchase (repo). The repurchase agreement example is set up to use the repo rate to do all discounting (including the underlying bond income). Forward delivery price is also obtained using this repo rate. All this is done by supplying the FixedCouponBondForward constructor with a flat repo YieldTermStructure.

SEE ALSO
The source code Repo.cpp, BermudanSwaption(1), Bonds(1), CallableBonds(1), CDS(1), ConvertibleBonds(1), DiscreteHedging(1), EquityOption(1), FittedBondCurve(1), FRA(1), MarketModels(1), MulticurveBootstrapping(1), Replication(1), the QuantLib documentation and website at https://www.quantlib.org.

AUTHORS
The QuantLib Group (see Contributors.txt).

This manual page was added by Dirk Eddelbuettel <edd@debian.org>, the Debian GNU/Linux maintainer for QuantLib.